// import 'package:account/src/features/account_settings/presentation/account_settings_screen.dart';
import 'package:account/src/features/linked_devices/presentation/linked_devices_screen.dart';
import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class LinkedDevicesBuilder {
  const LinkedDevicesBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: LinkedDevicesScreen(navigationContract: navigationContract),
    );
  }
}
